Redmine - Feature #9421

Prevent attribute changes once an issue is assigned to a closed version
2011-10-13 17:20 - Luiz Carlos Junior

Status: Closed Start date: 2011-10-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution:

Description
Sometimes it is desirable to reopen a closed ticket in order to adjust/correct its implementation.

However, if this ticket has already been "published" as part of an official closed version it would be awkward to change its
characteristics like the implementation description (no matter if it is wrong or not) or its associated version (it has already been
published!).

| would like to suggest a role that prevents unauthorized users reopen or change the attributes of tickets associated to closed
versions. Comments, in principle, would be normally allowed.

In my opinion, if one needs to change an implementation, it is desirable to create a new ticket, associate it to the old one and discuss
the new needs. This would also help to keep the history of the already released versions.

Related issues:

Related to Redmine - Feature #7694: Require permission to assign a version to... Closed 2011-02-23
Related to Redmine - Feature #1360: Permission for adding an issue to a version. Closed 2008-06-03
Related to Redmine - Feature #1919: Separate permissions for changing assigne... Closed 2008-09-18
Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

History

#1 - 2011-10-14 02:34 - Mischa The Evil
Luiz Carlos Junior wrote:
I would like to suggest a role that prevents unauthorized users reopen or change the attributes of tickets associated to closed versions.

Comments, in principle, would be normally allowed.

As far as reopening and assigning issues it is already implemented by using the locked/closed statuses for each version. See
RedmineProjectSettings. Version locking/closing was implemented via issue #1245.

#2 - 2011-10-14 04:03 - Luiz Carlos Junior

| noticed that, as you said, Redmine already prevents the reopening of closed tickets associated to already closed versions. However, it is still
possible to change the ticket's version and this would mess the history of the project in the same way.

Once a ticket is associated to a closed version, "normal users" should not be able to change it in any way (not even moving it to an opened version).
What do you think?

#3 - 2011-10-19 15:21 - Mischa The Evil

- Subject changed from Prevent to reopen or change tickets associated to already closed versions to Prevent attribute changes once an issue is
assigned to a closed version
Luiz Carlos Junior wrote:

[...] However, it is still possible to change the ticket's version and this would mess the history of the project in the same way.

True. Redmine does allow attribute changes as such.

Luiz Carlos Junior wrote:
https://www.redmine.org/projects/redmine/wiki/RedmineProjectSettings#Versions
https://www.redmine.org/issues/1245

Once a ticket is associated to a closed version, "normal users" should not be able to change it in any way (not even moving it to an opened
version).

Yes and no. Let's say it depends on how strict your policies are.
Redmine as such isn't very configurable regarding permissions for changing issue-attributes. Let's say it is an well-known feature request to gain
more fine-grained control over issue-attributes (see for a start e.g. issue #1919 and its relatives).
This issue actually seems to be an extend of such a feature. I'll adjust the issue subject to match the actual request.
#4 - 2011-10-19 17:08 - Luiz Carlos Junior
Mischa The Evil wrote:
Yes and no. Let's say it depends on how strict your policies are.

Redmine as such isn't very configurable regarding permissions for changing issue-attributes. Let's say it is an well-known feature request to gain
more fine-grained control over issue-attributes (see for a start e.g. issue #1919 and its relatives).

| agree that it depends on your policies but, in my opinion, to change the issue's version could mess a project in a way that it would be preferable to
be radical and include an option to not allow attribute changes at all in the case above. Control over changes in issue version, at least, appears also in
#1360 and #7694. Of course, as you said, a more fine-grained control would be perfect.

The point is that sometimes it could be better to approach the problem roughly than trying to cover it in all aspects directly. #1919 is very complete
(considering #8050) but it is a 3 years-old ticket, though. Anyway, | trust in how the Redmine's development team will approach these issue.

Mischa The Evil wrote:

This issue actually seems to be an extend of such a feature. I'll adjust the issue subject to match the actual request.

In this case, shouldn't we link this issue to the other ones?

#5 - 2011-10-19 20:49 - Mischa The Evil

Luiz Carlos Junior wrote:

In this case, shouldn't we link this issue to the other ones?

Thanks for pointing it out. Relations added.

#6 - 2011-10-25 11:40 - fasdfasdf asdf
SPAM

#7 - 2013-01-12 18:26 - Daniel Felix

- Status changed from New to Closed

I'm closing this. The requested functionality could be achived with #12005.

You can set all fields as read only after closing the ticket.
